%define name    ayttm 
%define version 0.4.7
%define cvs 20070519
%if %cvs
%define release %mkrel 0.%cvs.1
%else
%define release %mkrel 1
%endif

# Enable to turn off stripping of binaries
%{?_without_stripping: %{expand: %%define __os_install_post %%{nil}}}

Summary: Instant messaging client 
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Instant messaging
%if %cvs
Source:	%{name}-%{cvs}.tar.bz2
%else
Source: %{name}-0.4.6-17.tar.bz2
%endif
Source10: %{name}.16.png.bz2
Source11: %{name}.32.png.bz2
Source12: %{name}.48.png.bz2
Source20: %{name}-puddles-smileys.tar.bz2
# build fix for our current gcc (4.1)
Patch0: ayttm-0.4.6-lvalue_buildfix.patch
# patch to avoid ayttm to be linked against glib2
# (without this ayttm segfaults when started)
Patch1: ayttm-0.4.6-noglib2.patch
# Fix spaces in smiley theme names (from Debian)
Patch2: ayttm-0.4.6-smileys.patch
Obsoletes: everybuddy
Provides: everybuddy
URL: http://ayttm.sourceforge.net
BuildRequires: bison
BuildRequires: flex
BuildRequires: glib-devel
BuildRequires: gtk+-devel
BuildRequires: libltdl-devel
BuildRequires: libesound-devel
BuildRequires: libarts-devel
BuildRequires: freetype-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: gettext-devel
BuildRequires: automake >= 1.6
BuildRequires: libaspell-devel
BuildRequires: libxpm-devel
BuildRequires: libgpgme-devel < 0.4
BuildRequires: openssl-devel
BuildRequires: libjasper-devel
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Ayttm is designed to become a Universal Instant Messaging client
designed to seamlessly integrate all existing Instant Messaging clients and
provide a single consistant user interface. Currently, Ayttm supports
sending and receiving messages via AOL, ICQ, Yahoo, MSN, IRC and Jabber.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .ayttm-0.4.6-lvalue_buildfix
%patch1 -p1 -b .noglib2
%patch2 -p1 -b .smiley
%setup -q -n %{name} -T -D -a20

%build
%if %cvs
./gen
%endif
export GLIB_CONFIG=/usr/bin/glib-config
autoconf
%configure --enable-xft --enable-esd --disable-arts --enable-lj \
            --enable-jasper-filter --enable-smtp

# Parallel build fails - AdamW
make

%install
%__rm -rf $RPM_BUILD_ROOT
%makeinstall 

# We don't need the .a files...
%__rm -f %{buildroot}/%{_libdir}/%{name}/*.a

(cd $RPM_BUILD_ROOT
%__mkdir -p .%{_menudir}
%__cat > .%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/ayttm"\
icon="%{name}.png"\
title="Ayttm"\
longtitle="Universal Instant Messaging Client"\
needs="x11"\
section="Internet/Instant messaging"\
xdg="true"
EOF
)

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Ayttm
Comment=Universal Instant Messaging Client
Exec=%{_bindir}/ayttm
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Internet-InstantMessaging;Network;InstantMessaging;
EOF

%__mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
%__mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
%__mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps
%__mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps
%__mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps
%__bzip2 -dc %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%__bzip2 -dc %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%__bzip2 -dc %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
%__bzip2 -dc %{SOURCE10} > $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%__bzip2 -dc %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%__bzip2 -dc %{SOURCE12} > $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png

# Extra smileys
%__cp -a 'Puddles' $RPM_BUILD_ROOT%{_datadir}/%{name}/smileys

# remove unpackaged files
%__rm -f $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Internet/Ayttm.desktop
%__rm -f $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/ayttm.desktop
%__rm -f $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Internet/ayttm.desktop

%find_lang %name

%post
%update_menus
%update_icon_cache hicolor

# Fix the paths to the modules in the prefs files...
# Note that $ has to be escaped so the shell doesn't wack 
# them.
%__perl <<EOP
while (my (@pwent) = getpwent()) {
  my \$homedir = \$pwent[7];
  my \$prefs;
  if (open PREFS, "<\$homedir/.ayttm/prefs") {
    while (<PREFS>) {
      s!%{_datadir}/%{name}/modules!%{_libdir}/%{name}!g;
      \$prefs .= \$_;
    }
    close PREFS;
    unless (rename("\$homedir/.ayttm/prefs","\$homedir/.ayttm/prefs.orig")) {
      warn "Cannot rename \$homedir/.ayttm/prefs to \$homedir/.ayttm/prefs.orig";
      next;
    }
    open PREFS, ">\$homedir/.ayttm/prefs";
    print PREFS \$prefs;
    close PREFS;
  }
}
EOP

%postun
%clean_menus
%clean_icon_cache hicolor

%files -f %name.lang
%defattr (-,root,root)
%doc doc/ AUTHORS COPYING ChangeLog INSTALL README TODO ABOUT-NLS
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %_datadir/%name
%_datadir/%name/*
%dir %_datadir/%{name}smileys
%_datadir/%{name}smileys/*
%dir %_libdir/%name
%_libdir/%name/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_menudir}/*
%config(noreplace) %{_sysconfdir}/%{name}rc


%clean 
%__rm -rf $RPM_BUILD_ROOT



%changelog
* Sat May 19 2007 Adam Williamson <awilliamson@mandriva.com> 0.4.7-0.20070519.1mdv2008.0
+ Revision: 28523
- enable x86-64 build
- add patch 2 (adapted from Debian) to fix smiley install
- rephrase BuildRequires to work on x86-64
- update to CVS (to fix x86-64 build issues and MSN login)

* Sat May 19 2007 Adam Williamson <awilliamson@mandriva.com> 0.4.6.17-1mdv2008.0
+ Revision: 28456
- fix some BuildRequires
- rebuild against newer libs (openssl etc) - fix #24189
- clean spec (remove a bunch of stuff relevant only for really old versions)
- 0.4.16-17

* Mon May 07 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.4.6-4mdv2008.0
+ Revision: 24955
- Don't build for x86_64 using ExclusiveArch tag, ayttm is old and not
  updated for a long time, not porting it to build for x86_64 for now
  (currently build fails).
- Use the right BuildRequires for glib.
- Rebuild for new libjasper.
- Made patch lvalue_buildfix to fix build with our current gcc (4.1).
- Avoid linking of ayttm against glib2, disabling arts support and
  patching configure.ac with noglib2 patch. Because arts and openssl
  pass glib2 flags, ayttm builds against glib2 and segfaults when
  started.
- Migrated to XDG menu.


* Fri Jul 16 2004 Michael Scherer <misc@mandrake.org> 0.4.6-3mdk 
- rebuild for new gcc

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.6-2mdk
- Fix menu entry

* Wed Feb 11 2004 Ben Reser <ben@reser.org> 0.4.6-1mdk
- 0.4.6
- temporarily turn off sig source since they didn't make one.
- Drop patches that have been merged upstream.
- BuildRequires: libjasper-devel
- turn on the smtp and livejournal modules
- turn on jasper support now that it is free software
- drop fix for german translation fixed upstream.
- Fix menu section for 10.0.

* Mon Nov 17 2003 Ben Reser <ben@reser.org> 0.4.4-2mdk
- Add additional smiley theme puddles
- Macroize
- fixes to build on older revs of Mandrake
- BuildRequires openssl-devel for MSN and Yahoo support
- Proper path for german translation
- Patch to properly detect spellchecker
- Only need automake 1.6 or newer
- Patch to make gen use automake1.6 or newer.

* Mon Oct 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.4-1mdk
- 0.4.4

* Mon Oct 20 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.3-1mdk
- 0.4.3

* Mon Sep 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.2-1mdk
- 0.4.2

* Mon Aug 25 2003 Ben Reser <ben@reser.org> 0.4.0-1mdk
- 0.4.0 (Uses MSNP8 so it'll work after Oct 15th 2003)

* Sat Aug 23 2003 Ben Reser <ben@reser.org> 0.3.4-1mdk
- 0.3.4 a special release just for us Mandrake folks.  :)
  I.E. done so it would get into 9.2!

* Fri Jul 18 2003 Ben Reser <ben@reser.org> 0.3.3-2mdk
- Apply fixes Per yvind Karlsen tried to apply but were rejected
  because he applied them against 0.3.2-1mdk.
	- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
	- macroize
	- fix typo
	- don't list directories twice
- Really fix the error message in the perl script.

* Wed Jul 16 2003 Ben Reser <ben@reser.org> 0.3.3-1mdk
- 0.3.3
- Drop pspell patch, integrated upstream.
- Fix description to not mention the script dropped in
  the previous release.

* Mon Jul 07 2003 Ben Reser <ben@reser.org> 0.3.2-1mdk
- 0.3.2
- Use pspell now so drop the Requires on ispell.
- BuildRequires for libxpm-devel and libaspell-devel
- BuildRequires for automake1.7
- BuildRequires libgpgme for encryption support
- Drop script to convert everybuddy prefs to ayttm
  since there is now a built in importer.
- Patch to fix configure script to work with the 
  aspell version of pspell.

* Wed Apr 30 2003 Ben Reser <ben@reser.org> 0.3.0-1mdk
- 0.3.0
- Obsolete and Provide everybuddy
- Script to convert everybuddy prefs to ayttm
- Add gettext-devel to BuildRequires
- Remove Makefile patch to put modules in %%{_libdir},
  integrated upstream.
- Added sig for source package to SRPM.

* Thu Apr 03 2003 Ben Reser <ben@reser.org> 0.2.3-1mdk
- 0.2.3
- Add libgdk-pixbuf-devel to BuildRequires
- Change URL to sf.net URL
- Remove chat restore patch, included in 0.2.3
- merge 9.0/9.1 builds together, automatically decides 
  if xft should be enabled now.  Can override with:
  --with xft  or --without xft

* Sun Mar 09 2003 Ben Reser <ben@reser.org> 0.2.2-2mdk
- Move the modules to %%_libdir rather than %%_datadir
  to comply with FHS.
- Add script to post to fix prefs due to the change in
  path for the modules.
- Remove static library files that we don't really need.
- Enable xft
- BuildRequire freetype-devel

* Wed Feb 26 2003 Ben Reser <ben@reser.org> 0.2.2-1mdk
- 0.2.2
- Remove readprefs patch, integrated upstream.
- Add patch to fix chat restore with do_strip_html=1
  Was a bug in the released version.

* Tue Feb 11 2003 Ben Reser <ben@reser.org> 0.2.1-2mdk
- Fix description
- Fix group
- Remove unused menu files
- Make package the owner of its dir under share
- Add some missing documentation files.
- Add icons for the menu
- Use Mandrake macros for build
- Add BuildRequires/Requires
- Add some commented out stuff to the spec for easier CVS builds.
- Quiet the %%setup.
- Clean out non-Mandrake formated changelog
- Force arts and esd to be enabled so it should work right with them
  without soundwrapper!

* Mon Feb 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-1mdk
- new
- icon
- bzip2 patch

